clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< ::clang::ExtQuals * > Struct Template Reference

`#include "clang/AST/Type.h"`

## Public Types
enum | { NumLowBitsAvailable = clang::TypeAlignmentInBits }

## Static Public Member Functions
static void * | getAsVoidPointer (::clang::ExtQuals *P)
static inline ::clang::ExtQuals * | getFromVoidPointer (void *P)

## Detailed Description

### template<>
struct llvm::PointerLikeTypeTraits< ::clang::ExtQuals * >

Definition at line 93 of file Type.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 100 of file Type.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

static void* llvm::PointerLikeTypeTraits< ::clang::ExtQuals * >::getAsVoidPointer | ( | ::clang::ExtQuals * | P | ) |
| inline static

Definition at line 94 of file Type.h.

References P.

## ◆ getFromVoidPointer()

static inline ::clang::ExtQuals* llvm::PointerLikeTypeTraits< ::clang::ExtQuals * >::getFromVoidPointer | ( | void * | P | ) |
| inline static

Definition at line 96 of file Type.h.

References P.

The documentation for this struct was generated from the following file:

- include/clang/AST/Type.h